internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > > Class Template Reference

`#include <_flow_graph_join_impl.h>`

Inheritance diagram for internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >:
Collaboration diagram for internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >:

## Public Types

typedef wrap_key_tuple_elements< 2, key_matching_port, key_matching< K, KHash >, OutputTuple >::type | input_ports_type
typedef OutputTuple | output_type
Public Types inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
typedef OutputTuple | output_type
typedef sender< output_type >::successor_type | successor_type
typedef join_node_FE< JP, InputTuple, OutputTuple > | input_ports_type

## Public Member Functions

template<typename Body0 , typename Body1 >
| unfolded_join_node (graph &g, Body0 body0, Body1 body1)
| unfolded_join_node (const unfolded_join_node &other)
Public Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
| join_node_base (graph &g)
| join_node_base (const join_node_base &other)
template<typename FunctionTuple >
| join_node_base (graph &g, FunctionTuple f)
bool | register_successor (successor_type &r) __TBB_override
bool | remove_successor (successor_type &r) __TBB_override
bool | try_get (output_type &v) __TBB_override

## Private Types

typedef tbb::flow::tuple_element< 0, OutputTuple >::type | T0
typedef tbb::flow::tuple_element< 1, OutputTuple >::type | T1
typedef join_node_base< key_matching< K, KHash >, input_ports_type, output_type > | base_type
typedef internal::type_to_key_function_body< T0, K > * | f0_p
typedef internal::type_to_key_function_body< T1, K > * | f1_p
typedef tbb::flow::tuple< f0_p, f1_p > | func_initializer_type

## Additional Inherited Members

Protected Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
void | reset_node (reset_flags f) __TBB_override

## Detailed Description

### template<typename OutputTuple, typename K, typename KHash>
class internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >

Definition at line 1540 of file _flow_graph_join_impl.h.

## Member Typedef Documentation

## base_type

template<typename OutputTuple , typename K , typename KHash >

typedef join_node_base<key_matching<K,KHash>, input_ports_type, output_type > internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::base_type

private

Definition at line 1548 of file _flow_graph_join_impl.h.

## f0_p

template<typename OutputTuple , typename K , typename KHash >

typedef internal::type_to_key_function_body<T0, K>* internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::f0_p

private

Definition at line 1549 of file _flow_graph_join_impl.h.

## f1_p

template<typename OutputTuple , typename K , typename KHash >

typedef internal::type_to_key_function_body<T1, K>* internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::f1_p

private

Definition at line 1550 of file _flow_graph_join_impl.h.

## func_initializer_type

template<typename OutputTuple , typename K , typename KHash >

typedef tbb::flow::tuple< f0_p, f1_p > internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::func_initializer_type

private

Definition at line 1551 of file _flow_graph_join_impl.h.

## input_ports_type

template<typename OutputTuple , typename K , typename KHash >

typedef wrap_key_tuple_elements<2,key_matching_port,key_matching<K,KHash>,OutputTuple>::type internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::input_ports_type

Definition at line 1545 of file _flow_graph_join_impl.h.

## output_type

template<typename OutputTuple , typename K , typename KHash >

typedef OutputTuple internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::output_type

Definition at line 1546 of file _flow_graph_join_impl.h.

## T0

template<typename OutputTuple , typename K , typename KHash >

typedef tbb::flow::tuple_element<0, OutputTuple>::type internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::T0

private

Definition at line 1542 of file _flow_graph_join_impl.h.

## T1

template<typename OutputTuple , typename K , typename KHash >

typedef tbb::flow::tuple_element<1, OutputTuple>::type internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::T1

private

Definition at line 1543 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## unfolded_join_node() [1/2]

template<typename OutputTuple , typename K , typename KHash >
template<typename Body0 , typename Body1 >

internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::unfolded_join_node | ( | graph & | g,
|  | Body0 | body0,
|  | Body1 | body1
| ) |  |

inline

Definition at line 1562 of file _flow_graph_join_impl.h.

: base_type(g,
func_initializer_type(
new internal::type_to_key_function_body_leaf<T0, K, Body0>(body0),
new internal::type_to_key_function_body_leaf<T1, K, Body1>(body1)
) ) {
__TBB_STATIC_ASSERT(tbb::flow::tuple_size<OutputTuple>::value == 2, "wrong number of body initializers");
}

References __TBB_STATIC_ASSERT, and value.

## unfolded_join_node() [2/2]

template<typename OutputTuple , typename K , typename KHash >

internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::unfolded_join_node | ( | const unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > > & | other | ) |

inline

Definition at line 1569 of file _flow_graph_join_impl.h.

: base_type(other) {}

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::base_type
join_node_base< key_matching< K, KHash >, input_ports_type, output_type > base_type
Definition: _flow_graph_join_impl.h:1548
internal::unfolded_join_node< 2, key_matching_port, OutputTuple, key_matching< K, KHash > >::func_initializer_type
tbb::flow::tuple< f0_p, f1_p > func_initializer_type
Definition: _flow_graph_join_impl.h:1551
internal::type_to_key_function_body_leaf
Definition: _flow_graph_body_impl.h:237
__TBB_STATIC_ASSERT
#define __TBB_STATIC_ASSERT(condition, msg)
Definition: tbb_stddef.h:553
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.